#pragma once

#include "CoreMinimal.h"
#include "BehaviorTree/BTService.h"
#include "BehaviorTree/BehaviorTreeTypes.h"
#include "BTService_ForceDirectMove.generated.h"

class ADBDAIBTController;

UCLASS(Blueprintable)
class DBDBOTS_API UBTService_ForceDirectMove : public UBTService
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FBlackboardKeySelector BBLocation;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MoveUnderDistance;

private:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	ADBDAIBTController* _aiOwner;

public:
	UBTService_ForceDirectMove();
};

FORCEINLINE uint32 GetTypeHash(const UBTService_ForceDirectMove) { return 0; }
